Subject: RE: bug#22213: 24.5; please allow specification or elimination of timestamp in autoloads

From: Drew Adams <[email-masked]>
Date: Fri, 8 Jan 2016 06:53:52 -0800 (PST)

> >> But for autoloads.el in general this is not true because of the
> >> existence of entry points such as update-file-autoloads which
> >> mean that the autoloads file may be updated for some of the
> >> files it covers rather than for all of them.
> >
> > I think there are a lot of cases (the majority?) where we know
> > that this kind of partial update simply isn't going to happen.
> 
> Definitely.  I've never seen entry points like update-file-autoloads
> being used.  I think autoloads.el would benefit greatly from getting
> rid of such entry points (they significantly complicate the code, in
> my experience, and they're very rarely used, if ever).

(Caveat: I have not read this thread.)

I think they're useful.  I used to use them a lot, but in my
present situation I do not.  What makes you think that they
are not useful and are not used?

What's the problem with keeping this functionality for users
who might find it useful?  Why do they "significantly
complicate the code" more now than 10 or 20 or 30 years ago?
Why would they be less useful now than in the past?

Why is this different in principle from, say, being able to
create a tags file for only a given set of files or directories?